This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 789402 - mesa 8.0 on ARM missing drivers
mesa 8.0 on ARM missing drivers
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2012-02-10 12:17 EST by Peter Robinson
Modified: 2012-02-13 12:44 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-13 12:28:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2012-02-10 12:17:12 EST
The mesa 8.0 snapshot seems to compile OK on ARM but it appears to be missing most (all?) of the HW drivers. I can't see anything obvious as to why they're missing with an initial look.

http://arm.koji.fedoraproject.org/taskinfo?taskID=374063


RPM build errors:
File not found: /builddir/build/BUILDROOT/mesa-8.0-0.1.fc17.arm/usr/lib/dri/nouveau_vieux_dri.so
error: File not found: /builddir/build/BUILDROOT/mesa-8.0-0.1.fc17.arm/usr/lib/dri/swrast_dri.so
    File not found: /builddir/build/BUILDROOT/mesa-8.0-0.1.fc17.arm/usr/lib/dri/radeon_dri.so
    File not found: /builddir/build/BUILDROOT/mesa-8.0-0.1.fc17.arm/usr/lib/dri/r200_dri.so
    File not found: /builddir/build/BUILDROOT/mesa-8.0-0.1.fc17.arm/usr/lib/dri/r300_dri.so
    File not found: /builddir/build/BUILDROOT/mesa-8.0-0.1.fc17.arm/usr/lib/dri/r600_dri.so
    File not found: /builddir/build/BUILDROOT/mesa-8.0-0.1.fc17.arm/usr/lib/dri/nouveau_dri.so
    File not found: /builddir/build/BUILDROOT/mesa-8.0-0.1.fc17.arm/usr/lib/dri/nouveau_vieux_dri.so
    File not found: /builddir/build/BUILDROOT/mesa-8.0-0.1.fc17.arm/usr/lib/dri/swrast_dri.so
Child returncode was: 1
Comment 1 Adam Jackson 2012-02-13 12:28:28 EST
Ugh, mesa buildsystem.  It default to xlib or dri for libGL based on architecture and arm isn't in the list for DRI.

Fixed in 8.0-0.2.fc17 (just pushed).  Probably we should look into better subpackaging on arm though, there do exist pci arm machines but they're definitely the minority.
Comment 2 Peter Robinson 2012-02-13 12:44:44 EST
> Fixed in 8.0-0.2.fc17 (just pushed).  Probably we should look into better
> subpackaging on arm though, there do exist pci arm machines but they're
> definitely the minority.

Quite happy to work with you on the changes to the packaging, the amount of devices with PCI is increasing but whether they'll be widely available enough in the short term to bother is another question entirely :-)

Note You need to log in before you can comment on or make changes to this bug.